SQLITE3_MUTEX(3)

NAME
sqlite3_mutex - mutex handle

SYNOPSIS
#include <sqlite3.h>
typedef struct sqlite3_mutex sqlite3_mutex;

DESCRIPTION
The mutex module within SQLite defines sqlite3_mutex to be an abstract type for a mutex object. The SQLite core never looks at the internal representation of an sqlite3_mutex. It only deals with pointers to the sqlite3_mutex object.

Mutexes are created using sqlite3_mutex_alloc().

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 1253.

    typedef struct sqlite3_mutex sqlite3_mutex;

SEE ALSO
sqlite3_mutex_alloc(3)